%global _empty_manifest_terminate_build 0
Name:           python-networkx
Version:        2.3
Release:        1
Summary:        Python package for creating and manipulating graphs and networks
License:        BSD
URL:            http://networkx.github.io/
Source0:        https://files.pythonhosted.org/packages/85/08/f20aef11d4c343b557e5de6b9548761811eb16e438cee3d32b1c66c8566b/networkx-2.3.zip
BuildArch:      noarch
%description
NetworkX is a Python package for the creation, manipulation,
and study of the structure, dynamics, and functions
of complex networks.

%package -n python3-networkx
Summary:        Python package for creating and manipulating graphs and networks
Provides:       python-networkx
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# Base requires
Requires:      python3-decorator
%description -n python3-networkx
NetworkX is a Python package for the creation, manipulation,
and study of the structure, dynamics, and functions
of complex networks.

%package help
Summary:        Python package for creating and manipulating graphs and networks
Provides:       python3-networkx-doc
%description help
NetworkX is a Python package for the creation, manipulation,
and study of the structure, dynamics, and functions
of complex networks.

%prep
%autosetup -n networkx-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-networkx -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Nov 19 2021 OpenStack_SIG <openstack@openeuler.org> - 2.3-1
- Init the version to 2.3 for T version of openstack
